Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.calendar
Class SetTimeSpan

    java.lang.Object
      com.tibco.bpm.web.client.model.types.calendar.TimeSpan
          com.tibco.bpm.web.client.model.types.calendar.SetTimeSpan

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, java.io.Serializable, java.lang.Comparable<TimeSpan>

    public class SetTimeSpan

extends TimeSpan

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.tibco.bpm.web.client.model.types.calendar.TimeSpan
`endTime, startTime`

Constructor Summary
`SetTimeSpan()`

Method Summary
`static SetTimeSpan` | `valueOf(java.util.Date startTime, java.util.Date endTime)`
`static SetTimeSpan` | `valueOf(TimeHmm startTime, TimeHmm endTime)`
`static SetTimeSpan` | `valueOf(TimeHmm startTime, TimeSpan timeSpanForRange)`
`static SetTimeSpan` | `valueOf(TimeSpan timeSpan)`

Methods inherited from class com.tibco.bpm.web.client.model.types.calendar.TimeSpan
`compareTo, equals, getEndTime, getHoursInRange, getHoursStart, getMinutesInRange, getStartTime, hashCode, isInRange, isOverlap, isStartAndEndSameDay, isValid, setEndTime, setStartTime, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetTimeSpan

    public SetTimeSpan()

Method Detail

### valueOf

    public static final SetTimeSpan valueOf(java.util.Date startTime,
                                            java.util.Date endTime)

### valueOf

    public static final SetTimeSpan valueOf(TimeHmm startTime,
                                            TimeHmm endTime)

### valueOf

    public static final SetTimeSpan valueOf(TimeSpan timeSpan)

### valueOf

    public static final SetTimeSpan valueOf(TimeHmm startTime,
                                            TimeSpan timeSpanForRange)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.